Форум программистов, компьютерный форум CyberForum.ru
Наши страницы

Android Studio не дает работать с API 8 без установленного API 21 - Программирование Android

Войти
Регистрация
Восстановить пароль
Другие темы раздела
Программирование Android Android приложение с использованием сокетов из определенного класса http://www.cyberforum.ru/android-dev/thread1365776.html
Здравствуйте, столкнулся с некой проблемой создания клиент-сервер соединения через сокеты в андроид приложении. Итак - имеется 2 класса: reg.java - он же является исполнителем определенного окна в...
Программирование Android Увеличение и смещение ImageView, редактор фото В приложении нужно наложить на фотографию картинку. Но перед сохранением нужно реализваоть возможность изменения положения/размера накладываемой картинки. То есть чтобы можно было ее... http://www.cyberforum.ru/android-dev/thread1365758.html
Ограничение расхода трафика Программирование Android
Подскажите, возможно ли ограничить потребление интернет-трафика (скорость передачи) в своём приложении?
Программирование Android Возможно ли создать класс, в котором бы хранились переменные и массивы разных размеров?
здравствуйте, возможно ли создать класс в котором бы хранились переменные и массивы разных размеров и n-мерностей и при обращение к этому классу из других классов можно было свободно бы вытаскивать...
Программирование Android Как изменить hosts на эмуляторе Android http://www.cyberforum.ru/android-dev/thread1365607.html
Подскажите, пожалуйста, как изменить файл hosts на эмуляторе Android. У меня не получается, потому что выходит ошибка failed to copy 'c:\hosts' to '/system/etc/hosts': Read-only file system. Как...
Программирование Android Не работает кнопка button Всем привет,создаю калькулятор. На что он ругается? хотел сделать проверку на true false. Создал tof (true of false) на boolean в начале кода boolean tof = true; и при нажати... подробнее

Показать сообщение отдельно
Samsams
2 / 2 / 0
Регистрация: 31.01.2015
Сообщений: 26
31.01.2015, 18:14  [ТС]
Удалил из за мало знания андроид только месяц изучаю. В общем начну сначала. Мне надо написать приложение, в котором будет минимальная рабочая версия, уже решил не 8 api, а 10, но нечего не изменилась ошибка та же.
И вот такая для меня загадка. Если я назад поставлю 21 версию. И при создании приложения укажу 10 как минимальную. Позже при написании приложения, если вдруг заюзаю функцию которая совместима с 21 версией, но не совместима с 10, то Android Studio меня как-нибудь уведомит об этом? Или нет.

Так вот незная ответ на этот вопрос, я решил не замарачиваться и снести 21 версию. и юзать функции с 10. Как правило весли скопипастю чужой код который работает в 21, но не работает в 10, то раз этой библиотеки нету то, андроид должен сразу указать что не получиться у меня ее заюзать. Вот.))
0
 
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru